<?php
namespace Drupal\simplifying\Services;
/**
 * Class SettingsActions
 *
 * @package Drupal\simplifying
 */
class SettingsActions{
  public function GetSettings($file) {
    static $settings;
    if (empty($settings[$file])) {
      $settings[$file] = [];
      $path = DRUPAL_ROOT.'/'.\Drupal::service('module_handler')->getModule('simplifying')->getPath().'/settings/settings_'.$file.'.ser';
      if (file_exists($path)) {
        $data = file_get_contents($path);
        $settings[$file] = @unserialize($data);
      }
    }
    return $settings[$file];
  }
  public function SetSettings($file, $data = []) {
    $path = DRUPAL_ROOT.'/'.\Drupal::service('module_handler')->getModule('simplifying')->getPath().'/settings/settings_'.$file.'.ser';
    $save = file_put_contents($path, serialize($data));
    if (empty($save)) {
      \Drupal\Core\Messenger\MessengerInterface::addMessage(t('Failed to save @file settings', ['@file' => $file], ['context' => 'simplifying']), 'error');
    }
  }
}