<?php
namespace Drupal\simplifying\Controller;
class SimplifyingController extends \Drupal\Core\Controller\ControllerBase {
  	public function Services() {
		$langcode = self::GetLangcode();
		$content['page'] = [
			'#theme' => 'simplifying_services',
			'#data'  => ['langcode' => $langcode],
		];
		return $content;
	}
	public function Training() {
		$langcode = self::GetLangcode();
		$content['page'] = [
			'#theme' => 'simplifying_training',
			'#data'  => ['langcode' => $langcode],
		];
		return $content;
	}
	static public function GetLangcode() {
		$lengcode = \Drupal::languageManager()->getCurrentLanguage()->getId();
		if(!in_array($lengcode, ['uk', 'ru'])) $lengcode = 'en';
		return $lengcode;
	}
}